Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset
Class UnitaOperativaSet

    java.lang.Object
      it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset.UnitaOperativaSet

    public class UnitaOperativaSet

extends java.lang.Object

Dati di dettaglio della unità operativa.

Field Summary
`private java.lang.String` | `codice` Codice della Unità Operativa.
`private ElencoPostiPrevistiSet` | `elencoPostiPrevisti` Elenco dei posti previsti.
`private java.lang.Integer` | `progressivoRepartoServizio` Progressivo del reparto/servizio nell'ambito della specialità clinica.

Constructor Summary
`UnitaOperativaSet()`

Method Summary
`java.lang.String` | `getCodice()`
`ElencoPostiPrevistiSet` | `getElencoPostiPrevisti()`
`java.lang.Integer` | `getProgressivoRepartoServizio()`
`void` | `setCodice(java.lang.String codice)`
`void` | `setElencoPostiPrevisti(ElencoPostiPrevistiSet elencoPostiPrevisti)`
`void` | `setProgressivoRepartoServizio(java.lang.Integer progressivoRepartoServizio)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codice

    @Facets(minLength=1L,
            maxLength=4L)
    @MinOccurs(value=1L)
    private java.lang.String codice

  Codice della Unità Operativa. I valori previsti sono quelli definiti dall’area Anagrafe delle Strutture Sanitarie.

### progressivoRepartoServizio

    @Facets(totalDigits=2L)
    @MinOccurs(value=0L)
    private java.lang.Integer progressivoRepartoServizio

  Progressivo del reparto/servizio nell'ambito della specialità clinica. I valori previsti sono quelli definiti dall’area Anagrafe delle Strutture Sanitarie. Il campo è obbligatorio sono nel caso in cui la struttura operativa è uno stabilimento ospedaliero.

### elencoPostiPrevisti

    @MinOccurs(value=1L)
    private ElencoPostiPrevistiSet elencoPostiPrevisti

  Elenco dei posti previsti.

Constructor Detail

### UnitaOperativaSet

    public UnitaOperativaSet()

Method Detail

### setCodice

    public void setCodice(java.lang.String codice)

### getCodice

    public java.lang.String getCodice()

### setElencoPostiPrevisti

    public void setElencoPostiPrevisti(ElencoPostiPrevistiSet elencoPostiPrevisti)

### getElencoPostiPrevisti

    public ElencoPostiPrevistiSet getElencoPostiPrevisti()

### setProgressivoRepartoServizio

    public void setProgressivoRepartoServizio(java.lang.Integer progressivoRepartoServizio)

### getProgressivoRepartoServizio

    public java.lang.Integer getProgressivoRepartoServizio()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD